Skip to main content
`Ctrl`+`K`

# DMForestGetAdaptivityForest

Get the forest from which the current forest is adapted.

## Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetAdaptivityForest(DM dm, DM *adapt)

Not Collective

## Input Parameter

- dm - the forest

## Output Parameter

- adapt - the forest from which `dm` is/was adapted

## See Also

`DM`, `DMFOREST`, `DMForestSetAdaptivityForest()`, `DMForestSetAdaptivityPurpose()`

## Level

intermediate

## Location

src/dm/impls/forest/forest.c

Index of all DMForest routines
Table of Contents for all manual pages
Index of all manual pages